package jobs

import (
	"go-admin/common/helper"
	"testing"

	"github.com/go-admin-team/go-admin-core/sdk"
	"gorm.io/driver/mysql"
	"gorm.io/gorm"
)

func TestAccountJob(t *testing.T) {
	dsn := "root:123456@tcp(127.0.0.1:3306)/go_exchange_single?charset=utf8mb4&parseTime=True&loc=Local&timeout=1000ms"
	db, _ := gorm.Open(mysql.Open(dsn), &gorm.Config{})
	sdk.Runtime.SetDb("default", db)

	helper.InitDefaultRedis("127.0.0.1:6379", "", 2)
	helper.InitLockRedisConn("127.0.0.1:6379", "", "2")

	accountJob := BinanceSpotAccountJob{}
	accountJob.Exec(nil)
}

func TestFutureAccountJob(t *testing.T) {
	dsn := "root:123456@tcp(127.0.0.1:3306)/go_exchange_single?charset=utf8mb4&parseTime=True&loc=Local&timeout=1000ms"
	db, _ := gorm.Open(mysql.Open(dsn), &gorm.Config{})
	sdk.Runtime.SetDb("default", db)

	helper.InitDefaultRedis("127.0.0.1:6379", "", 2)
	helper.InitLockRedisConn("127.0.0.1:6379", "", "2")

	accountJob := BinanceFuturesAccountJob{}
	accountJob.Exec(nil)
}
